[arch-commits] Commit in biopython/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Nov 8 17:01:56 EST 2009


    Date: Sunday, November 8, 2009 @ 17:01:56
  Author: eric
Revision: 58534

Merged revisions 58533 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/biopython/trunk

........
  r58533 | eric | 2009-11-08 17:01:38 -0500 (Sun, 08 Nov 2009) | 2 lines
  
  upgpkg: biopython 1.52-1
      Upstream update
........

Modified:
  biopython/repos/extra-x86_64/	(properties)
  biopython/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)


Property changes on: biopython/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /biopython/trunk:1-57051
   + /biopython/trunk:1-58533

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-08 22:01:38 UTC (rev 58533)
+++ extra-x86_64/PKGBUILD	2009-11-08 22:01:56 UTC (rev 58534)
@@ -2,21 +2,21 @@
 # Maintainer: damir <damir at archlinux.org>
 
 pkgname=biopython
-pkgver=1.51b
+pkgver=1.52
 pkgrel=1
 pkgdesc="Biopython: freely available Python tools for computational molecular biology"
 arch=("i686" "x86_64")
 url="http://www.biopython.org"
 license=('custom')
 depends=('glibc' 'python>=2.6' 'python-numpy')
-makedepends=('gcc')
-source=("$url/DIST/$pkgname-$pkgver.tar.gz")
-md5sums=('9e0db224f8256c401e9c5c8335f6ffca')
+source=(http://www.biopython.org/DIST/$pkgname-$pkgver.tar.gz)
+md5sums=('87e31749d431ed8a2d4fa909a42a478f')
+sha1sums=('6dd295164a4cc0ff886e61bf29c798887c37f50c')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  yes | python setup.py build
+  cd "$srcdir/$pkgname-$pkgver"
+  yes | python setup.py build || return 1
   # python setup.py test
-  yes | python setup.py install --root=$startdir/pkg
-  install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
+  yes | python setup.py install --root="$pkgdir" || return 1
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
 }



More information about the arch-commits mailing list